# 2. Digital bodies

## assignment

- document use of a 3D scanner to acquire a model
- document repair of 3D model mesh
- experimented with the combination of milling, laser cutting, vacuum forming and composites
- built your own mannequin
- include all the files in the documentation

## acquiring a model
In acquiroig a body model, I tried two types of 3D scanning methods. One is the photogrammetry based technique([Trnio](http://www.trnio.com/), [Recap](https://www.autodesk.com/products/recap/overview)) and the other is the depth sensor based one([Sense](https://www.3dsystems.com/shop/sense)). I aslo made a model with [makehuman](http://www.makehumancommunity.org/)

Photogrammetry technique is based on a series of photographs. Photogrammetry software can create a geometry and texture mapping from photographs. We can try it with a usual smartphone camera.

Depth sensor technique uses a light source, a light receiver and a color camera. A light source projects an object and a light receiver detects the distortion of the reflected pattern. The distortion varies based on the geometry of an object. Software calculates and generates a geometry of an object based on the degree of distortion. We have to buy a scanning device before trying it.

### photogrammetry technique
#### Trnio (iOS)
First, I took a lot of photos of a model from different directions. Then I started the application and uploaded images(45 images) to merge into a 3D object.
 
![](../images/week02/trnio-4.jpg)<br>
Trnio interface

The part between a body and a arm was not scanned well. Now I know that why people open arms at their side and keep arms straight around 45 degrees. 
![](../images/week02/scan_trnio.jpg)

#### Recap Photo
I used same photos with Trnio. Merged 3d image was much better than Trnio, but the image contained my entir room. It is embarrassing.  
![](../images/week02/scan_recap1.jpg)

Both photo merging processes were on thier cloud platform. I felt the proess was time-consuming (about 20 - 30 minutes).

### depth sensor technique
#### Sense
I have used Sense in [my Fab Academy assignment](http://archive.fabacademy.org/2018/labs/fablabkamakura/students/jun-kawahara/exercise06.html) and I’m still learning how to use it. After several trials, this was the best result, which I'm not satisfied at all.  
![](../images/week02/sense.jpg)

### makehuman
[MakeHuman](http://www.makehumancommunity.org/) is an open source 3D software. It can manipulate human human characteristics, for example, age, height, weight, clothes, eyes, hair, teeth, eyebrows, eyelashes and everything.  Here is 1-year-old me.

![](../images/week02/mh-4.jpg)

This is present.

![](../images/week02/mh-5.jpg)

Ten years from now, 50% overweighted and less muscle.

![](../images/week02/mh-6.jpg)



It can export a file as STL file. I edited it with Rhinoceros.
![](../images/week02/mh-1.jpg)

I modified a body baesd on a [mesh repairing tutorial](https://vimeo.com/293230583).
![](../images/week02/mh-2.jpg)

Here are an original and modified STL files(small size).  
![](../images/week02/mh-3.jpg)

## mesh repairing
I used a model scanned by Trnio. Trnio itself cannot export .obj or .stl file. First, I uploaded a integrated image from Trnio to [Sketchfab](https://sketchfab.com/models/ba7b2f80215844e68087aa883d24c071), then downloaded a file as .obj.
I edited .obj file with [meshlab](http://www.meshlab.net/). I have used it a bit to check a model if it was watertight or not. I didn't realize that the software was really useful tool until now.

I selected unwanted faces to remove.

![](../images/week02/meshlab-3.jpg)

Red faces are selected area to be removed.

![](../images/week02/meshlab-1.jpg)

Then, I deleted selected faces.  
![](../images/week02/meshlab-4.jpg)

![](../images/week02/meshlab-2.jpg)

I repeated the process many times and get a model to be lasercut.
![](../images/week02/meshlab-5.jpg)

## mannequine
I lasercut cardboards to make a mannequine. 
Laser cutting machine is Trotec Speedy 100R.
![](../images/week02/trotec.jpg)

Before lasercutting, I made a interlocked slices model with [SLICER for Fusion 360](https://apps.autodesk.com/FUSION/en/Detail/Index?id=8699194120463301363&os=Win64&appLang=en). You can modify slice direction, spacing between slices. 

![](../images/week02/slicer.jpg)

Press "Get Plan" button, at the bottom of the left side column.
![](../images/week02/slicer-1.jpg)

I exported file as PDF in my computer.
![](../images/week02/slicer-2.jpg)

Open the file in CorelDraw and modify the width of red line to 0.001 mm so that the lasercutter can recoginize the line as the cut job. Then, "Print."
![](../images/week02/cut-2.jpg)

Laer cutting settings are as follows.   
cardboard thickness: 3 mm  
power: 85  
speed: 2   
frequency: 5,000 Hz

Here is a making movie.  

<iframe width="560" height="315" src="https://www.youtube.com/embed/krVGpq03RWU" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

My torso doesn't look like a human body, but a chunk of meat because my scanning was not good at all, which also made editing a 3d model difficult.  
![](../images/week02/digitalbodies.jpg)



## useful links

- [Photogrammetry - 3D scan with just your phone/camera](https://www.youtube.com/watch?v=ye-C-OOFsX8)


## files

- [3d scan file](../images/week02/3dscan.obj) (.obj)
- [edited 3d scan file](../images/week02/3dscan-edited.stl) (.stl)
- [laser cutting schematic](../images/week02/digitalbodies.pdf) from SLICER for Fusion 360 (.pdf)
