# 3. Circular fashion

## assignment  
Document how soft interlocking connection has been designed and fabricated
how the connection either creates a full garment or has been applied to the seams
show that the connection is well designed and holds the pull/stretch of a garment
include all downloadable files in your documentation

## research
First I played with a simple module which Zoe introudeced in the class. I made it with a paper and a cutter.  
![](../images/week03/study-1.jpg)  

It looked like a heart, so I wanted to design a module to make a heart when they are assembled.  
![](../images/week03/study-2.jpg)  
 
After some trials...

![](../images/week03/study-3.jpg)

It was fun, but this design was not for my character.  
After playing with these modules, I've got the feel of how to design a interlocking seams. Now I began my assignment.
![](../images/week03/study-4.jpg)

## pentagonal tiling
### introduction
In Japan, we have a table cloth called 花ふきん(hana fukin; hana means flower, fukin means table cloth). Geometric artforms are made by hand stitches. 

![](../images/week03/hanafukin.jpg)

image source: [暮らしの手帖社](https://www.kurashi-no-techo.co.jp/blog/information/170703)

I wanted to design a pattern myself. When I was googling designs, I came accross [Girih](https://en.wikipedia.org/wiki/Girih). Girih is "a decorative Islamic geometric artform used in architecture and handicraft objects, consisting of angled lines that form an interlaced strapwork pattern" according to [Wikipedia](https://en.wikipedia.org/wiki/Girih). Mac also has an app to design geometric designs.

![](../images/week03/girih.jpg)

### design with fusion 360
I selected the Cairo pentagonal tiling, is one of 15 known monohedral pentagon tilings. 
![](../images/week03/cairotile-1.jpg)<br>
image source: [wikipedia](https://en.wikipedia.org/wiki/Cairo_pentagonal_tiling)

The pentagon has one shorter edge of length ![](../images/week03/eqn1.gif) 0.5977, and four equal longer edges of length ![](../images/week03/eqn2.gif) .8165. I drew a hexagon on Fusion 360 which is composed of four pentagons because I don't want interlocking part to become so complicated. Interlocking design idea came from  Kai who is a member of FabLab Kamakura and a graduate of Fab Academy 2018.  
![](../images/week03/tiledesign.jpg)

Thanks to Kai's design, interlocks worked fine.   
![](../images/week03/paperproto.jpg)

Next, I lasercut a sheet of felt, which is made of polyester not wool.  
Laer cutting settings are as follows.   
felt: polyethylene  
thickness: 1.4 mm  
power: 25  
speed: 4   
frequency: 1,000 Hz

![](../images/week03/felttile-1.jpg)

![](../images/week03/felttile-2.jpg)

I uploaded my files to [open source circular fashion](http://oscircularfashion.com/project/-LOrdXDptMqvyNH1FmsV).

![](../images/week03/oscircular.jpg)

## thought experiment
After this week assignment, I'm thinking about making kimono with modules for final project. So, let's do some thought experiments.

Kimono is made of a long strip of fabric, 一反(1-tan). 1 tan is the unit for one kimono. It is about 36 cm wide and 1200 cm long, which means total area of a Kimono is 43,200 cm<sup>2</sup>.

If I make a Kimono from a rectangular module tested above, I'll need **1,728 modules(!)** for a whole kimon. Its area is 50 cm<sup>2</sup>(5 cm width and 10 cm length), but effective area for a garment is the half of it, 25 cm<sup>2</sup>, because the rest of a module is used for interlocking.

For cairo tiling module, it's less effective design for a garment. Nearly **3,300 modules** will be needed...

This means I have to carefully design modules which effectively create a garment and interlock themselves firmly.

|module shape|number of modules needed|total area|
|---|---|---|
|Kimono|8|43200 cm<sup>2</sup>|
|rectangle|1,728|43200 cm<sup>2</sup>|   
|cairo tiling|3,300|43200 cm<sup>2</sup>|   


## Curvahedra
Another model I wanted to make besides a pentagonal tiling was [Curvahedra](https://curvahedra.com/) 

![](../images/week03/curvahedra-1.jpg)

I drew a module on Fusion 360 with different interlock design.
![](../images/week03/curvahedra-2.jpg)

Pentagonal pattern can't make a flat garment, but can make a sphere.
![](../images/week03/curvahedra-3.jpg)

Curvahedra is a 3D puzzle.
![](../images/week03/curvahedra-4.jpg)

After paper prototyping, I cut felt sheets and assembled them. Final result, I don't know what the hell this is...
![](../images/week03/curvahedra-5.jpg)

## not zero-waste design
I should have considered designing zero-waste pattern and pattern array.
![](../images/week03/curvahedra-6.jpg)


## file and reference
- see at [open source circular fashion](http://oscircularfashion.com/project/-LOrdXDptMqvyNH1FmsV)
- [Isoperimetric Pentagonal Tilings](https://www.researchgate.net/publication/51959435_Isoperimetric_Pentagonal_Tilings) - ResearchGate


