# 4. Biofabricating Dyes and Materials


## assignment

Explore at least:

- 1 natural dye or bacterial dye
- 1 crafted or grown material

Dont just reproduce, mix, match, change amounts or patterns and compare. Order, display, map / compare and credit, for the process and the results:

- Ordering – organised material is knowledge. Name your materials, classify them by typology.
- Displaying – display them in a way that makes sense. Badly displayed materials, loose all their beauty.
- Mapping is essential for comparing results. Change small elements in a recipe and compare the results.
- Credit your recipes and changes
- Document the samples according to your labs archive

## natural dyeing
### onion with alum
I used onion skins as a dyeing agent. They are easily available, but I don't use that much for cooking and won't get them enough in time. So, I asked a shop owner of [magali](https://www.fs-magali.com/), where serves really delicious cuisine, to put onion peels aside for me. She was kind enough to give me a lot of skins.  
If you have chance to come Kamkura, here is the place you should visit.

![](../images/week04/week04-01.jpg)

It weighted 31 g.

![](../images/week04/week04-02.jpg)

I put 500 ml of water in a pot and heated it gradually.
![](../images/week04/week04-04.jpg)

After the water became warm, the color of water began changing

![](../images/week04/week04-05.jpg)

I got sampling of onion peels' dye extract solution each five minutes. After heating 20 minutes, the color of water has saturated. I stopped heating and cooled it down.

![](../images/week04/week04-06.jpg)

During cooling, I prepared fabrics to be dyed. I dyed six types of fabrics. 

| fabric# | yarn type |
|:----------:|--------------------------------|
| fabric#1 | 100% polyester |
| fabric#2 | 100% wool |
| fabric#3 | 100% linen |
| fabric#4 | 100% cotton |
| fabric#5 | 50%/25%/25%　rayon/jute/cotton |
| fabric#6 | 100% cotton |


I cut them into the size of  5 cm x 5 cm square, and made a ball with a wool. I made 4 samples for each fabric for multiple dyeing processes.

![](../images/week04/week04-07.jpg)

![](../images/week04/week04-08.jpg)

I put all samples in the pot and boiled for a minute.  
![](../images/week04/week04-09.jpg)

I took them out of the pot and rinsed them with water. They were slightly dyed in color of brown except polyester(fabric#1).

![](../images/week04/week04-10-1.jpg)


I put once-dyed-and-once rinsed samples in an alum mordant solution (about 60 degrees in Celsius, probably). Their color gradually turned into yellow. This process was amazing.

![](../images/week04/week04-11.jpg)

With or without mordant, quite a difference. Again, polyester remained intact after dipping in a mordant.

![](../images/week04/week04-12-1.jpg)

I repeated dyeing and mordanting process three times. After each process, the color got thicker.

![](../images/week04/week04-13.jpg)

### onion with iron

I tried another mordant, iron. I made an iron solution with a vinegar, salt, and a steel wool which is used for sanding milled PCB surface in Fab Academy.

![](../images/week04/week04-14.jpg)

After dyeing and rinsing, I immersed fabric samples in iron solution. The color turned into green, I guess.
![](../images/week04/week04-15.jpg)

### pH dependence of the color

When I added vinegar to the onion extract solution, the color of the solution didn't change. The reason Quercetin is one of flavonoid group, which color usually gets thicker yellow in higher pH and paler in lower pH. If you use [Anthocyanin](http://saveriosilli.fabcloud.io/fabricademy-saveriosilli/class04.html) as dyeing agent, its color will show strong pH dependency.

## bioplastic

I used gelatin, sodium alginate, and glycerol.

![](../images/week04/week04-16.jpg)

### gelatin + glycerol
I refered a recipe from [Bioplastic Cook Book](https://issuu.com/nat_arc/docs/bioplastic_cook_book_3). One was gelatin with glycerol, the other was without glycerol.

| biop# |composition |
|:---|:---|
| biop#1 | water/gelatin = 60/12 |
| biop#2 | water/gelatin/glycerol = 60/12/3.6 |

First, I measure the weight of gelatin powder(12 g).

![](../images/week04/week04-17.jpg)

I poured it to a cup of water(60 g) with magnetic stirrer.
![](../images/week04/week04-18.jpg)

I warmed the beaker of gelatin solution in hot water until I got a clear solution. Then, I poured the solution into polypropylene case and left it still.
![](../images/week04/week04-19-1.jpg)

After an hour I took them out of the case, and dryed them with using fan. Next morning, this is what I got.

![](../images/week04/week04-20.jpg)

![](../images/week04/week04-29-2.jpg)

I want them to be flat, so I tried again.  
I poured biop#1 solution to the case as same, and left it still about half an hour. 

![](../images/week04/week04-21.jpg)

I drew a fabricademy logo on it with dots like Georges Seurat did. 

![](../images/week04/week04-25.jpg)

I used inkjet inks which I took out from used cartridges(not natural dyes, sorry).

![](../images/week04/week04-22.jpg)

I made biop#1 and #2 solution again.

![](../images/week04/week04-23-1.jpg)

I poured biop#1 solution(yellow) to a half of a case and left it in fridge a few minutes, then biop#2 solution(cyan) to other half of the case.  
![](../images/week04/week04-24.jpg)

I left it still without fan.

![](../images/week04/week04-26.jpg)

After hours, it gradually bended from the sides.

![](../images/week04/week04-27.jpg)

biop#2 has larger shrinkage ratio?

![](../images/week04/week04-28-1.jpg)


Sadly, I got the same result.

![](../images/week04/week04-30.jpg)

![](../images/week04/week04-31.jpg)

Subtractive color mixing, green is made from cyan and yellow. I should have make magenta... 
![](../images/week04/week04-32.jpg)

## references

- [Bioplastic Cook Book](https://issuu.com/nat_arc/docs/bioplastic_cook_book_3) - issuu



</div>