# 5. E-Textiles and Wearables I

## assignment

- Create your one digital and one analogue soft sensor
- Understand the readings of your sensor and map its values using a microcontroller
- Program a LED o mini vibration interaction with your soft sensor
- Intergate it in a swatch using hard-soft connections


## preparation
### conductive fabrics/threads

I bought some materials for this week.

- [EeonTex Conductive Fabric](https://www.amazon.co.jp/EeonTex-SF-COM-14110-Conductive-Fabric-%E5%B0%8E%E9%9B%BB%E6%80%A7%E4%B8%8D%E7%B9%94%E5%B8%83/dp/B06VTN1L44/ref=sr_1_1?ie=UTF8&qid=1538054970&sr=8-1&keywords=EeonTex)
- [silver-coated nylon thread](https://www.amazon.co.jp/gp/product/B004BT7P8G/ref=oh_aui_detailpage_o02_s00?ie=UTF8&psc=1)



### LEDs
Playing with [Neopixels](https://www.adafruit.com/product/1260) is always fun, so I wanted to use them this time. I found that sewable neopixels are available, but can't get them soon and they are expensive.
![](../images/week05/week05-0.jpg)

I tired to DIY sewable Neopixel because I have a long reel of them. I cut a reel and drilled holes through an electrode. I connected them with conductive threads and tried a sample sketch of Neopixel. I got a successful result, so used them in this week assignment.

![](../images/week05/week05-1.jpg)

## digital and analogue soft sensor
### digital sensor / button
First, watch what I made.

<iframe width="560" height="315" src="https://www.youtube.com/embed/VBR7QT69164" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

I made buttons with using a conductive fabric, a felt sheet, and a kitchen sponge. I made three color buttons to light up a color LED(Neopixel) corresponding to the color of them.

The fabrication process is as follows. I sewed three neopixels on cotton fabric as insulator with a silver-coated nylon thread. Black fabrics of left and right side are [EeonTex Conductive Fabric](https://www.sparkfun.com/products/14110) as power supply and ground electrodes respectively.

![](../images/week05/week05-2-01.jpg)

I placed conductive lines from + 5V to arduino inputs pins via buttons. I made a gap of conductive lines where a button will be placed.

![](../images/week05/week05-4-1.jpg)

I put urethan sponges(cookware scrub sponge) as a spacer for fabric button. 

![](../images/week05/week05-5-0.jpg)

![](../images/week05/week05-5-1.jpg)

I placed conductive fabric to bridge a gap.

![](../images/week05/week05-6-1.jpg)

I placed a felt(polypropylene) as an insulator on a conductive fabric.
![](../images/week05/week05-7.jpg)

Circuit schematic and a [code](../images/week05/sketches/digital_button.ino).

![](../images/week05/schematic_digital.jpg)



Colorful LEDs emits the color of light corresonding to a button color,

cyan,

![](../images/week05/week05-8.jpg)

magenta,

![](../images/week05/week05-9.jpg)

and yellow.

![](../images/week05/week05-10.jpg)


### analog sensor / capacitive sensor
### readin analog sensor
Here is what I made.

<iframe width="560" height="315" src="https://www.youtube.com/embed/yV-amaRaInk" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

I made a cavacitive sensor as analog sensor to contorol the color of LEDs. There are a lot of references for capacitiv sensors, I referred [here](https://playground.arduino.cc/Main/CapacitiveSensor) mainly.. I placed three 1 mega ohm resistors (3 megohm) between the send pin and the receive (sensor) pin to make a sensor sensitive.

![](../images/week05/week05-11-0.jpg)

I made a wrong choice of a capacitor, a [conductive knit](http://www.gunze.co.jp/english/technology/about/), which is lack of reliability and reproducibility.

![](../images/week05/week05-11-1.jpg)

Eventually, I used [EeonTex Conductive Fabric](https://www.sparkfun.com/products/14110) covered with felt sheet.  

![](../images/week05/week05-12-0.jpg)

Serial monitor shows only bunch of numbers, but serial plotter shows you a time cource of changes in analog readings. 
![](../images/week05/week05_serialplotter.jpg)


If you bring your hand near a capacitor, analog reading value gradually start increasing and reach plateau.

![](../images/week05/week05-12-1.jpg)

Circuit schematic and a [code](../images/week05/sketches/analog_capsense.ino).

![](../images/week05/schematic_analog.jpg)

The color is cyan when the hand kept away from a sensor.

![](../images/week05/week05-13.jpg)

The sensor will start to sense when a hand barely touched, and the color become magenta. 

![](../images/week05/week05-14.jpg)

If you touched a capacitor firmly, the color become yellow.

![](../images/week05/week05-15.jpg)



### integration

I integrated button switches and a capacitive sensor.  
I couldn't turn the first led on. It's not broken. I know it has something to do with my skectch, but I don't figure it out yet.
<iframe width="560" height="315" src="https://www.youtube.com/embed/Gj8iNFBDshg" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

Circuit schematic and a [code](../images/week05/sketches/integration.ino).

![](../images/week05/schematic_integ.jpg)

![](../images/week05/week05-16.jpg)

At regional review, my mentor, Saverio, pointed out that felt sheet was deformed after pushing many times because it is not elastic enough, which could eventually cause a short circuit. I think polypropylene sheet is going to be a good alternative.

## files

- [arduino sketches](../images/week05/sketches/assignment.zip)(.zip)

## references
- [WEEK 3: Switches, Sensors, + Swatches](https://docs.google.com/presentation/d/1BeL-JDjTNKolZ0wJs4RFRrPpSW8nbskoeuVZ8IG0Yfw/edit#slide=id.p) - Computational Craft Fall 2018

I made a pushbutton as digital sensor 
and a capacirive sensor as analog sensor
with LEDs

firs push button
