# 6. Textile as Scaffold

## introduction
空摺(karazuri) is a traditional printing technique, which literally means "empty printing." It also goes by name "[Gauffrage](http://www.ukiyoe-gallery.com/gauffrage.htm)" in French, "Embossing" in English. Since I saw [this video](https://www.facebook.com/hirotoshi.cosugi/videos/1967934693263003/), I wanted to try it in Fabricademy.

Sadly, it doesn't meet requirements for an assignment because it isn't composite and doesn't need compression. I gave up the technique, but wanted to use 和紙(Washi, Japanese paper).

![](../images/week06/week06-01.jpg)

空摺(karazuri) technique's explanations. First, curving wood as a mold.

![](../images/week06/karazuri-01.jpg)

Then, place a sheet of Washi after immersing it in the water.

![](../images/week06/karazuri-02.jpg)

Next, pushing a paper with brush along the mold.

![](../images/week06/karazuri-03.jpg)

Drying with a dryer.

![](../images/week06/karazuri-04.jpg)

It can reproduce extremely intricate design.

![](../images/week06/karazuri-05.jpg)


## composite
### 3d modelling
I wanted to design water ripple surface, but I can't afford the time to learn Grasshopper from the scratch. 

This is what I wanted to make.

![](../images/week06/week06-02.jpg)

This is the reality. I designed a kind of water surface by fusion 360. 

![](../images/week06/week06-03.jpg)

Here is how I designed the model. In Sculpt mode, I drew a plane with some length and width faces.

![](../images/week06/week06-04-0.jpg)

Edit surface.

![](../images/week06/week06-04.jpg)

Draw a rectangle on the offset plane and extrude it to a object(wave surface). I exported the model as STL for milling.

![](../images/week06/week06-06.jpg)


### milling
I milled styrofoam with using SRM-20. I Started MODERA Player and open a STL file. 

![](../images/week06/milling-00.jpg)

Set the origin point of a model and orientation.

![](../images/week06/milling-01.jpg)

Choose the type of tool path to create. Select [Roughing], then click [Next].

![](../images/week06/milling-03.jpg)

Select the cutting surface. Select the [Top[+Z]], then [Next].

![](../images/week06/milling-04.jpg)

Choose the tool (blade) to use for the cutting in this process. Select [3.18 mm Square] and click [Next].

![](../images/week06/milling-05.jpg)

Set the cutting are and depth. Select the cutting area /[Partial] and [End Height] / [-10 mm].

![](../images/week06/milling-06.jpg)

Choose the type of tool path to create / [Contour][Up Cut] and click [Next]

![](../images/week06/milling-07.jpg)

Cutting parameters. I used default values.

![](../images/week06/milling-08.jpg)

Enter a name for this process and create the tool path : [Right Now] and [Finish]
![](../images/week06/milling-09.jpg)

Here is a toolpath for a roughing cut.
![](../images/week06/milling-10.jpg)

Click [New Process], then select [Finishing]

![](../images/week06/milling-11.jpg)

Cutting parameters. I used default values.

![](../images/week06/milling-12.jpg)

Enter a name for this process and create the tool path : [Right Now] and [Finish]. Here is a toolpath for a smoothing cut.

![](../images/week06/milling-13.jpg)

This is supposed to be the milled result.

![](../images/week06/milling-14.jpg)

I used 1/8 inch (3.18 mm) long AlTiN drill bit.

![](../images/week06/milling-15.jpg)

Set the origin point of a model.

![](../images/week06/milling-16.jpg)

Start milling.

![](../images/week06/milling-17.jpg)

Done with a roughing cut.

![](../images/week06/milling-18.jpg)

Done with a smoothing cut.

![](../images/week06/milling-19.jpg)

### Washi paper

I soaked a sheet of paper with water.

![](../images/week06/paper-00.jpg)

I put it on and push it along a mold.
![](../images/week06/paper-01.jpg)

After drying, this is what I got. It was difficult to leave a paper along a mold, maybe because paper was a rigid even after being soaked and the curvature of a mold was high.
![](../images/week06/paper-02.jpg)

### paper + epoxy resin

I tested a plastic vacuum bag for compression. It was not flexible enough to get along with a mold.
![](../images/week06/week06-07.jpg)


Anyway, I soaked a sheet of paper with an epoxy resin. I used two-part epoxy resin, [GM-6600](https://www.amazon.co.jp/%E7%A9%8D%E5%B1%A4%E7%94%A8%EF%BC%A5%EF%BC%B0%E6%A8%B9%E8%84%82-%E3%83%96%E3%83%AC%E3%83%8B%E3%83%BC%E6%8A%80%E7%A0%94-%E3%82%B8%E3%83%BC%E3%83%8A%E3%82%B9-%E7%A9%8D%E5%B1%A4%E7%94%A8%E3%82%A8%E3%83%9D%E3%82%AD%E3%82%B7%E6%A8%B9%E8%84%82-GM6600-120/dp/B00A6UHH7S).

![](../images/week06/week06-09.jpg)

I don't want a mold to be messed with a resin. I wrapped it with a usual plastic bag.

![](../images/week06/week06-10.jpg)

I put a resin-soaked paper on it.

![](../images/week06/week06-11.jpg)

I put it in the plastic vacuum bag for compression and sucked the air with a vacuum cleaner.

![](../images/week06/week06-12.jpg)

I put a water bag on it to add pressure. 

![](../images/week06/week06-13.jpg)

Here is what I got. I think a refractive index of paper(cellulose) and an epoxy resin is close, so the composite is relatively transparent.

![](../images/week06/week06-14.jpg)


## crystallization
I used sodium chloride(NaCl) salt for crystallization. I made a saturated solution by pouring NaCl to boiling water until the salt will not dissolve clearly. I used boiling water because I thought that the solubility of a salt will increase with temperature of water. I knew it later that the solubility of NaCl was relatively insensitive to temperature as solubility curve shown below. I didn't have to use boiling water.

![](../images/week06/week06-solubility.png)  
(image source: [The LibreTexts libraries](https://bit.ly/2K1B3DR))


solution and put a few fibers in it to see if how crystals grow. 
Most crystals are at the bottom of a beaker and a little on a wool. There is little crystals on polypropylene fiber.
Is it because they are all hydrophobic fibers? 

![](../images/week06/week06-15.jpg)

I tried again with more hydrophilic material, hemp fiber. Let me see how it goes.

![](../images/week06/week06-16.jpg)
    
Most crystals were needle-like or small cubic structure. 

![](../images/week06/week06-17.jpg)

On some parts, square and wedge shaped csyrtals were grown. It was beautiful.

![](../images/week06/week06-19.jpg)

The crystal looked like colored depending on from where I look at it. Is this a structural color, which selectively reflects the light?

![](../images/week06/week06-20.jpg)

I left the salt solution for days. Water evaporated a lot and crystals grew on glass beaker.

![](../images/week06/week06-21.jpg)

I thought a big crystal would glow on a thread, but the reality was innumerable, itty bitty crystals everywhere.

![](../images/week06/week06-22.jpg)

I also tried crystallization from alum solution. The way of making a saturated solution is the same as NaCl. This was much bigger and better.

![](../images/week06/week06-23.jpg)

## files
- acrylic scaffold base for lasercutting(.pdf): for [salt](../images/week06/crystallization_1.pdf), and [alum](../images/week06/crystallization_2.pdf)

## reference
- [16.4: How Temperature Influences Solubility](https://bit.ly/2K1B3DR) - The LibreTexts libraries