# 7. Computational Couture

## introduction

When I googling around for contents about Rhino and Grasshopper, I came accross a webinar, "[Visualizing Mathematics in Rhinoceros](https://wiki.mcneel.com/visualizingmathematics?fbclid=IwAR0_9o006fgmRKL8F29fUL7uMC6tRP7RdmuyLNy-my0jfWejbLbxnlgSvkU#webinarvisualizing_mathematics_in_rhinoceros)" by Professor Henry Segerman.  

![](../images/week07/week07-00.jpg)  
(image source: [Henry Sergeman's Twitter](https://twitter.com/henryseg/status/423154370964762624))

You can find a lot of other designs [on the web](https://www.google.co.jp/search?q=Henry+Segerman&tbm=isch&tbs=rimg:CTaamBH3bTzpIjhigSdej2eesrPV_1B0w2kkbxree5ay4dYll4HYTZQ9sD8n6AG7v2HjStqv45bqzl4vOU5gf4xpVJyoSCWKBJ16PZ56yEXFZWPZ4Jw0aKhIJs9X8HTDaSRsRFASFVzAZVqYqEgnGt57lrLh1iREWyUiYJ3fO1SoSCWXgdhNlD2wPEXvFQqU_1mONzKhIJyfoAbu_1YeNIROIgGu4iRQogqEgm2q_1jlurOXixEBdujDUNxyrSoSCc5TmB_1jGlUnEYmPZyblmLt8&tbo=u&sa=X&ved=2ahUKEwicwtn_z8jeAhWZfd4KHZntCpwQ9C96BAgBEBs&biw=1472&bih=683&dpr=2#imgrc=_).
The webinar forcues on visualization of mathematics, but I can saw it as textile pattern design. I think that a mathematical 3D-printed object on textile will be an elegant design itself, but if there is a light, but a shadow of an object will produce a design on a blank surface of a textile. I wanted to make something like this somehow.
Here is what I made.

##grasshopper
I wanted to design a sphere with holes on its surface. I referred to [this tutorial](http://grasshopper.blog.jp/samples/2015/08/09) (in Japanese) and changed a bit. Components I used are as follows.

- Params>Input>Number Slider
- Params>Geometry>Surface
- Maths>Domain>Divide Domain2
- Transform>Morph>Surface Box
- Params>Geometry>Geometry
- Surface>Primitive>Bounding Box
- Transform>Morph>Box Morph

Here is a grasshopper definition.
![](../images/week07/week07-01.jpg)

3D dimension model on rhinoceros.
![](../images/week07/week07-02.jpg)

## 3D printing
Printing conditions are as follows.  

3D printer: Replicator2X (Makerbot)  
filament: PLA  
nozzle temperature: 200  
bed temperature: room temperature  
printing speed: 4800 mm/min  

![](../images/week07/week07-03.jpg)

Now printing...

![](../images/week07/week07-04.jpg)

Printed successfully.

![](../images/week07/week07-05.jpg)

I put it on a fabric.

![](../images/week07/week07-06.jpg)

When I shined my iPhone light on the object, shades were projected onto fabric. I thought the object was a bit small, and the shades didn't extend much.

![](../images/week07/week07-07.jpg)

I tried to print out bigger one, and also wanted it to be sphere shape as Henry Sergeman's works.

![](../images/week07/week07-08.jpg)

Thankfully, I could print it out successfully.
![](../images/week07/week07-09.jpg)

The diameter of the sphere is twice as big as the first one.

![](../images/week07/week07-10.jpg)

It was bright.

![](../images/week07/week07-11.jpg)

Yes, it was what I wanted.  

![](../images/week07/week07-12.jpg)

Shadows projected on the wall. 

![](../images/week07/week07-13.jpg)

I wanted the shades to be colorful, so I used my distorted bioplastic which I made in week04.
![](../images/week07/week07-14.jpg)

Pretty nice, I guess.

![](../images/week07/week07-15.jpg)  

![](../images/week07/week07-16.jpg)

## transferring the shadow/light pattern onto fabric
In regional review, Saverio told me an idea that was transferring the shadow/light pattern onto a fabric. So, I did it.

Setting up a light source, a 3D model and a fabric.

![](../images/week07/week07-17.jpg)

I traced the light and shadow pattern projected onto a fabric.

![](../images/week07/week07-18.jpg)

This is fun. It would be nice that a fabric is a photosensitive material.

![](../images/week07/week07-22.jpg)

I put some colors.

![](../images/week07/week07-20.jpg)

![](../images/week07/week07-21.jpg)

## files
- [Rhino & GH files](../images/week07/week07.zip)(.zip)

## references

- [Henry Segerman's webpages](http://www.segerman.org)

- [Design of 3D printed mathematical art](https://math.okstate.edu/people/segerman/talks/design_of_3d_printed_math_art.pdf) - Henry Segerman Oklahoma State University
