# 8. Open source hardware: from fibers to fabric



## introduction
I played around with knitting toys which I could hack somehow.

### knitting machine
Its package says “recommended 6+.” Seriously?!? It’s difficult to move a carriage properly. I wonder I could move a carriage with a stepper motor, but it's too difficult for me.

![](../images/week08/week08-01.jpg)

![](../images/week08/week08-02.jpg)

### knitting loom
I wanted to have this when I was a kid. 

![](../images/week08/week08-03.jpg)

### spool knitter
I can make a cord by simply cranking a handle. Rotating a handel was bit tiresome, so I wanted it to be automated.

![](../images/week08/week08-04.jpg)

## anatomy of a spool knitter
First, I disassembled a spool knitter to understand how it works.

I could easily detach a handle from a body. 

![](../images/week08/week08-041.jpg)

There is a outlet from which yarn will come out. I removed screws.

![](../images/week08/week08-05.jpg)

The anatomy of a spool knitter is very simple, but beautiful. 
Inside a body, A bevel gear transforms the rotation of cranking a handle to that of a spool.

![](../images/week08/week08-06.jpg)

After I remove a ring-shape fixture, I could take out needles from a body. Lubricant was all over the place. Greasy.

![](../images/week08/week08-07.jpg)

![](../images/week08/week08-08.jpg)

A cross-section is cut by a plane with an angle to the axis of a cylindrical body. Needles make an up-and-down movement with rotating along the tilted oval.

![](../images/week08/week08-09.jpg)

All parts of a spool knitter.

![](../images/week08/week08-10.jpg)

## automation
As cranking a handle is tiresome, I wanted it to be automated. [Saverio](http://saveriosilli.fabcloud.io/fabricademy-saveriosilli/class08.html) used a stepper motor last year, so I tried other way, a [continuous rotation servo](https://www.pololu.com/product/2817).

I designed a connector between a servo and a hole of a cranking handle.
![](../images/week08/week08-11.jpg)

![](../images/week08/week08-12.jpg)

Here's the result.

<iframe width="560" height="315" src="https://www.youtube.com/embed/tLLem84J0nw" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## look ma, no hands!
Holding a servo with my hand is not pretty, so I designed a box to fix a spool knitter and a servo. Kai, a member of FabLab Kamakura, gave me a lot of design tips. It was quite helpful.
![](../images/week08/week08-13-1.jpg)

I used an add-in, [NESTER](https://github.com/tapnair/NESTER), to lay parts out flat in Fusion 360. I saved the laid out sketch as a DWF format and used it for laser-cutting.  

![](../images/week08/week08-13-2.jpg)

I modified a connector design for a bigger servo.
![](../images/week08/week08-13-3.jpg)


Test for a servo rotation. Schematic is shown below.


![](../images/week08/week08-schematic.jpg)


<iframe width="560" height="315" src="https://www.youtube.com/embed/M6_0UHdRNj0" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

I placed a plate with a hole so that a bevel gear won't come off.

![](../images/week08/week08-14.jpg)

The original (right) and a hacked one(left).

![](../images/week08/week08-15.jpg)

Here is a movement test.

<iframe width="560" height="315" src="https://www.youtube.com/embed/hw9TxV0AlEg" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

And outputs.

![](../images/week08/week08-16.jpg)

A cord filled with a flexible wire.

![](../images/week08/week08-17.jpg)

![](../images/week08/week08-18.jpg)

## code
- [Spoolknitter](../images/week08/spoolknitter/spoolknitter.ino)

```
#include <Servo.h>
Servo servo;
void setup(){
  servo.attach(3);
  Serial.begin(9600); 
}
void loop(){
  int val=analogRead(0);
  Serial.println(val);
  int angle=map(val,0,678,0,180);
  Serial.println(angle);
  servo.write(angle);
}
```


## files
- [box 3d design file](../images/week08/spoolknitter.f3d) (.f3d)
- [box 2d lay out](../images/week08/spoolknitter.pdf) for laser-cutting (.pdf)
- [3d design](../images/week08/connector.f3d)(.f3d) and an [stl](../images/week08/connector.stl) file 
- [arduino code](../images/week08/spoolknitter/spoolknitter.ino)(.ino)

## references

- [FEETECH FT90R Digital Micro Continuous Rotation Servo](https://www.pololu.com/product/2817) - Pololu Robotics & Electronics
- [FEETECH Continuous Rotation Servo FS5106R](https://www.pololu.com/product/3430) - Pololu Robotics & Electronics

- [Arduinoとポテンショメーター(可変抵抗)で動かす連続回転サーボ](https://kokensha.xyz/arduino/arduino-potentiometer-continuous-servo-test/)
