# 9. E-Textiles and Wearables II

## assignment
- Create a swatch using an attiny with one input and one output of your choice
- Create 2 actuator swatches. Test them with the Arduino or ATtiny.
- Document your swatches including your code and a schematic of your components
- Record a small video of your circuit working

## a swatch with an attiny
In week05, I made a swatch with an arduino, but wirings were terrible. In this week, I made it neat  with an attiny(attiny85) and thin conductive wires.

![](../images/week09/week09-01.jpg)

### programming attiny85 with Arduino
I used Arduino IDE and Arduino as ISP(In-system Programmer)). Before using Before using an attiny from Arduino IDE, you have to install attiny board support. I have installed it following [this instruction](http://highlowtech.org/?p=1695) before.

First, I uploaded a sketch, ArduinoISP, to a arduino to use it as an ISP.

![](../images/week09/week09-03.jpg)

I uploaded "Blink" skecth to an attiny85 to see if arduino ISP worked properly. I connected an attiny85 with arduino ISP according to [this tutorial](https://www.hackster.io/arjun/programming-attiny85-with-arduino-uno-afb829), and also connected an led and a resistor(470 ohm) between pin 0 and GND. 

![](../images/week09/week09-02.jpg)

[link to a bigger image](https://github.com/spencekonde/attinycore)

Before uploading blink program, burning bootloader is neccessary.
![](../images/week09/week09-04.jpg)

Then, I could upload blink program successfully.
![](../images/week09/week09-05.jpg)

### making wirings neat
I think a conductive thread I used is less reliable, so I used a polyurethan insulated wire instead. Its thickness is 0.2 mm.

![](../images/week09/week09-06.jpg)

I pushed an attiny's legs through a fabric and soldered them with wires.

![](../images/week09/week09-07.jpg)

No crocodile clips. Arduino is for only power supply and ground to ATtiny85.

![](../images/week09/week09-08.jpg)

Schematics is as follows.

![](../images/week09/week09-attiny85.jpg)

Here is how it works.

<iframe width="560" height="315" src="https://www.youtube.com/embed/YD8g9cfJZXg" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## SwirLED skirt
### introduction
I wanted to make a swatch with leds responsive to the movement. 

### prototyping
I made a prototype with [MPU-6050](https://playground.arduino.cc/Main/MPU-6050)(Accelerometer, Gyroscope) and a [neopixel ring](https://www.adafruit.com/product/1586). LED rotates clockwise or counter-clockwise depending on the movement of a gyroscope.

Schematic is as follows.

![](../images/week09/week09-swirlring.jpg)

<iframe width="560" height="315" src="https://www.youtube.com/embed/lthuZwvurTI" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

### implementation
I ripped off the waterproof sheathing of a NeoPixel strip which had 138 pixels. Its length and weight was about 220 cm and 32 g, respectively.  

![](../images/week09/week09-09.jpg)

I stitched the strip along all around the hem of a skirt. I also soldered three long polyurethan-insulated wires to 5V, GND, and DI(data input).

![](../images/week09/week09-10.jpg)

Schematic is almost the same as described above except using a long LED strip(138 LEDs).

![](../images/week09/week09-swirLED.jpg)


I strapped (actually, I hold) an arduino and a gyro/accelerometer around my waist. A gyro/accelerometer, GY-521(an MPU-6050 breakout board) is DOF6 3-axis gyroscope and a 3-axis accelerometer. I wrote a code to detect  angular velocities along the z and y(or x) axes.

![](../images/week09/week09-11.jpg)

Here is an essential  part of a sketch which command how an LED strip glows depending on angular velocities.

```
  if (gzRaw > 15000){ // when I rotate toward clockwise.
    knightRider1(1, 5, 2, 0xFFFFFF); // Cycles, Speed, Width, RGB Color (white)
     delay(duration) ;
    }
   if (gzRaw < -15000){ // when I rotate toward counter-clockwise.
   knightRider2(1, 5, 2, 0xFFFFFF); // Cycles, Speed, Width, RGB Color (white)
     delay(duration) ;
   }
  if (gyRaw > 3000 ) { // when I jump
      static uint8_t hue;
  for(int i = 0; i < NUM_PIXELS/2; i++) {   
    // fade everything out
    leds.fadeToBlackBy(40);

    // let's set an led value
    leds[i] = CHSV(hue++,255,255);
    
    // now, let's first 20 leds to the top 20 leds, 
    leds(NUM_PIXELS/2,NUM_PIXELS-1) = leds(NUM_PIXELS/2 - 1 ,0);
    FastLED.delay(33);
    
  }
    FastLED.clear();
    }
```

This is how it works. Unintentionally, light projection on the wall was beautiful.
<iframe width="560" height="315" src="https://www.youtube.com/embed/ka_T5xd7knw" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>


## codes
- [buttons with ATtiny](../images/week09/button-attiny85/button-attiny85.ino)
- [neopixel ring prototype](../images/week09/swirl-ring/swirl-ring.ino)
- [swirLED](../images/week09/swirLED/swirLED.ino)

## references
- [Atmel ATtiny85 Datasheet](http://ww1.microchip.com/downloads/en/devicedoc/atmel-2586-avr-8-bit-microcontroller-attiny25-attiny45-attiny85_datasheet.pdf) (pdf)
- [Programming ATtiny85 with Arduino Uno ](https://create.arduino.cc/projecthub/arjun/programming-attiny85-with-arduino-uno-afb829)
- [ATtiny85 pin assign for Arduino](https://github.com/spencekonde/attinycore) - GitHub 
- [Arduino Playground - MPU-6050](https://playground.arduino.cc/Main/MPU-6050)
- [i2cdevlib/Arduino/MPU6050/](https://github.com/jrowberg/i2cdevlib/tree/master/Arduino/MPU6050) - GitHub
- [FastLED](https://github.com/FastLED/FastLED) - GitHub
- [NeoPixel - KnightRider](https://github.com/technobly/NeoPixel-KnightRider)


