# 11. Soft robotics

## assignment

- You will make your own design based on the techniques introduced
- Surface interface or molding and casting , mixed techniques with pneumatic elements as latex pipes laser cutting or sewing. 
- Pump the Soft robot, 
- Document troubleshooting 
- Make a video of the soft robotic working. 
- Make the control of the inflatables at least with the DC air motor. 

## parametric modelling of a soft gripper
First, I downloaded a soft gripper model from [instructables](https://www.instructables.com/id/Air-Powered-Soft-Robotic-Gripper/) and printed it out.

![](../images/week11/week11-01.jpg)

I measured its dimensoins roughly.

![](../images/week11/week11-02.jpg)

I designed a model parametrically with Fusion 360. Again and again, [Kai](http://fab.academany.org/2018/labs/fablabkamakura/students/kai-naito/about.html) helped me a lot with this.

![](../images/week11/week11-03.jpg)

You can change fingers' lenght and width, the number of compartments, the depth of a mold, and etc.

![](../images/week11/week11-04.jpg)

I printed out two models other than a model from [instructables](https://www.instructables.com/id/Air-Powered-Soft-Robotic-Gripper/).

![](../images/week11/week11-04-1.jpg)
## molding material
I used a silicone rubber, Ecoflex 00-30, as a molding material. It comprised of two parts of liquid. After mixing them in a 50/50 ratio by weight or volume, it will solidify in 4 hours at room temperature.  
Before using it, you should read its [technical bulletin](https://www.smooth-on.com/tb/files/ECOFLEX_SERIES_TB.pdf) and [safety data sheet](https://www.smooth-on.com/msds/files/BD_DS_Eco_Equ_EZB_EZS_Psy_MS_OOMOO_Reb_ST_SS_Soma_Sol_Sorta.pdf).
![](../images/week11/week11-05.jpg)

I mixed two parts in a 50/50 ratio by weight and stirred it thoroughly.
![](../images/week11/week11-06.jpg)

I poured the liquid into molds and left them still for hours.

![](../images/week11/week11-06-1.jpg)

![](../images/week11/week11-07.jpg)

I also poured into trays for sealing covers and left them near the heater because I don't want to wait for long time.

![](../images/week11/week11-08.jpg)

Then, I took a solidified silicone rubber out of a mold. It was stretchy, but successfully taken out. 

![](../images/week11/week11-09.jpg)

A gripper from a mold with less compartment walls was torn in taking it out. I failed two times. Three time's the charm.

![](../images/week11/week11-09-1.jpg)


I glued a gripper and a cover with newly mixed silcone rubber.

![](../images/week11/week11-10.jpg)

## actuation
### failure #1
I used lure lock tube connectors to send the air to a gripper, but the strength of the connector between a gripper and a lock is not enough. The connector blew out quite easily before a gripper inflated. 

![](../images/week11/week11-11.jpg)

![](../images/week11/week11-12.jpg)

### failure #2
I followed exactly instructions described in instructables. I stabbed a needle from the side of a gripper with using a pipette rubber pump so that I could inflate a gripper

![](../images/week11/week11-15.jpg)

A syringe didn't pop out and a gripper could inflate well even I didn't use any glues. The center of a gripper inflated. I guess the thickness of sealing layer was not uniform enough. This is what Adriana pointed out on Slack, "If it is thiner better but waht is important is that the layer are homogeneous."

![](../images/week11/week11-13.jpg)

And you can easily guess how it goes.
![](../images/week11/week11-14.jpg)

## a gripper that cannot grip anything...
I inflated another gripper. It swollen straight along a finger and cannot grab even a light plastic cup.

<iframe width="560" height="315" src="https://www.youtube.com/embed/RP6n3j6YseI" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## seeking for another purpose
I gave up grabbing something, but Youka thought its translucent property fit for the light. Alien? Starfish? Gellyfish? Clione? Transforming light shade.

<iframe width="560" height="315" src="https://www.youtube.com/embed/g9HcwWwU-zg" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## get a grip, grip!
After I created a post on Facebook about this assignment, Saverio and Cecilia left comments on it.

![](../images/week11/week11-20.jpg)

Fabrics. Yes, this is Fabricademy.

So, I glued a fabric of jute on the bottom of a gripper. 
![](../images/week11/week11-16.jpg)

Applying a fabric was quite so effective that the gripper seemd to work as a gripper.

![](../images/week11/week11-17.jpg)

![](../images/week11/week11-18.jpg)

The weight of a cup was light, but the gripper could hold it.

![](../images/week11/week11-19.jpg)



## appendix
During documentation, I found an impressive [research article](https://www.frontiersin.org/articles/10.3389/frobt.2017.00046/full) on the design of interesting modular, reconfigurable mold for a soft gripper.

![](../images/week11/week11-modular.jpg)

## files
- [parametric soft gripper model](../images/week11/week11_softgripper.f3d)(fusion 360)
- Ecoflex 00-30 [technical bulletin](https://www.smooth-on.com/tb/files/ECOFLEX_SERIES_TB.pdf)and  [safety data sheet](https://www.smooth-on.com/msds/files/BD_DS_Eco_Equ_EZB_EZS_Psy_MS_OOMOO_Reb_ST_SS_Soma_Sol_Sorta.pdf).

## references
- [Air-Powered Soft Robotic Gripper](https://www.instructables.com/id/Air-Powered-Soft-Robotic-Gripper/) - instructables
- [Soft Robotic Grippers](https://onlinelibrary.wiley.com/doi/pdf/10.1002/adma.201707035) - Advanced Materials
- [Soft Robotics for Chemists](https://gmwgroup.harvard.edu/files/gmwgroup/files/1112.pdf) - Whitesides Research Group
- [A Modular, Reconfigurable Mold for a Soft Robotic Gripper Design Activity](https://www.frontiersin.org/articles/10.3389/frobt.2017.00046/full) - frontiers in Robotics and AI



