
#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif

const int cyanPin = 1;     // the number of the pushbutton pin(cyan)
const int magentaPin = 2;     // the number of the pushbutton pin(magenta)
const int yellowPin = 3;     // the number of the pushbutton pin(yellow)


#define PIN 0 
int buttonState_cyan = 0; //button is not pushed
int buttonState_magenta = 0; //button is not pushed 
int buttonState_yellow = 0; //button is not pushed

// Parameter 1 = number of pixels in strip
// Parameter 2 = Arduino pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
//   NEO_RGBW    Pixels are wired for RGBW bitstream (NeoPixel RGBW products)
Adafruit_NeoPixel strip = Adafruit_NeoPixel(3, PIN, NEO_GRB + NEO_KHZ800);

// IMPORTANT: To reduce NeoPixel burnout risk, add 1000 uF capacitor across
// pixel power leads, add 300 - 500 Ohm resistor on first pixel's data input
// and minimize distance between Arduino and first pixel.  Avoid connecting
// on a live circuit...if you must, connect GND first.

void setup() {
  // This is for Trinket 5V 16MHz, you can remove these three lines if you are not using a Trinket
  #if defined (__AVR_ATtiny85__)
    if (F_CPU == 16000000) clock_prescale_set(clock_div_1);
  #endif
  // End of trinket special code

strip.begin();
strip.show(); 


}

void loop() {
  // Some example procedures showing how to display to the pixels:
   buttonState_cyan = digitalRead(cyanPin);
   buttonState_magenta = digitalRead(magentaPin);
   buttonState_yellow = digitalRead(yellowPin);
   
  if (buttonState_cyan == HIGH){
 colorWipe(strip.Color(0,1,128),50);
  } 
  if (buttonState_magenta == HIGH){
 colorWipe(strip.Color(128,0,128),50);
  }  
  if (buttonState_yellow == HIGH){
 colorWipe(strip.Color(90,180,0),50);
  }  


 
}

// Fill the dots one after the other with a color
void colorWipe(uint32_t c, uint8_t wait) {
  for(uint16_t i=0; i<strip.numPixels(); i++) {
    strip.setPixelColor(i, c);
    strip.show();
    delay(wait);
  }
}

