# final project - Kimono ++
![](../images/finalproject/projecttitle.jpg)

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vTUa9y3k9fkS_kdkoR-7KBotid3AvVJHcO44-GNQzLU3EzTN75q8Nu0dBdRMyGE8w/embed?start=false&loop=false&delayms=60000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>


<iframe width="640" height="380" src="https://www.youtube.com/embed/FYwbrwqWVak" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

![](../images/finalproject/Kimono++.jpg)

## introduction
As the first Japanese fabricademer, I want my first project to be something Japanesque in an obvious manner. As to fabric, kimono is the representative traditional costume of Japan. So I chose Kimono as a motif of my final project.  

I have to admit I know nothing about Kimono before Fabricademy. Main characteristics of Kimono I found interesting are as follows.  

- Kimono is made of a long strip of fabric, 一反(1-tan). 1 tan is the unit for one kimono. It  is about 36 cm wide and 1200 cm long.
- Kimono is the zerowaste design. Typical kimono is made out of 8 rectangular shape fabrics, and they are cut out of 1-tan unit fabric. 
- Kimono is open source.

![](../images/projectdevelopment/kimono-9.jpg)

Week3, Circular Fashion, is one of my favorite assignments of all. I was mesmerized by the work by [Jessica](https://class.textile-academy.org/2019/jessica.stanley/assignments/week03/). Her design was zero waste tessellation design as well as its beauty. The numbers and the shape of modules are diffrent from Kimono, but I saw great deal in common with Kimono design.

![](../images/projectdevelopment/modularcollage.jpg)

Based on above experience, I decided my final project should be Kimono-inspired open source circular fashion system. It will inherite conventional Kimono philosophy (circular fashion, zero waste design) and give more flexibility in pattern, design and size(personal customization)

Then, My final projet title is "Kimono++." Of course, I named it so because I wanted Kimono++ to be able to add incremental value to the conventional Kimono. I believe that Kimono++ is a re-invention of Kimono with digital fabrication technology.


## module design
I designed various modules with Fusion 360. 

I tested various designs as I wrote in [project development](https://class.textile-academy.org/2019/jun.kawahara/projects/project-development/) section, the final design was that male and female interlocks are facing each other, and the length of the neck and hole is 10 mm.

![](../images/finalproject/moduledesign_1.jpg)

I drew designs of five sizes of modules.

![](../images/projectdevelopment/modulardesign-4.jpg)

Material I used is polyester felt which I bought from [SUN FELT](http://www.sunfelt.co.jp/gentan/polyester).  In front of a large cutting table and a fabric, I feel like I become sort of a fashion designer. Michelangelo said “Every block of stone has a statue inside it and it is the task of the sculptor to discover it.” Great fashion designers feel the same way from a fabric? I can’t see any…

![](../images/projectdevelopment/modularcutting.jpg)


Before lasercutting, I prepared lasercutting files so that it would be (almost) tessellations follows. I cut felt into the size of tessellations with 5 mm perimeter hem.

![](../images/finalproject/tesse_1.jpg)

![](../images/finalproject/tesse_2.jpg)

![](../images/finalproject/tesse_3.jpg)

![](../images/finalproject/tesse_4.jpg)

![](../images/finalproject/tesse_5.jpg)

Laser cutting machine is Trotec Speedy 100R.

![](../images/week02/trotec.jpg)

Laer cutting settings are as follows.  

**felt** : polyethylene  
**thickness** : 1.4 mm  
**power** : 25  
**speed** : 4   
**frequency**: 1,000 Hz

I cut six colors of flet and cut 4-5 units of design files 

![](../images/finalproject/lasercut_1.jpg)

![](../images/finalproject/lasercut_2.jpg)

## assembly
Assembly was a bit cumbersome. After I tried various tools, I found a pair of tweezers useful.
![](../images/finalproject/assembly_1.jpg)


I deeply felt how amazing fashion designers are. The design of a part and that of a whole is completely different.   
The color and the design as a part is fine, but not fit for the total design. 

It is one of concepts of Kimono ++, but being able to assemble, check and modify the design, is one of exciting process.

![](../images/projectdevelopment/assembly-6.jpg)

![](../images/projectdevelopment/assembly-7.jpg)

![](../images/projectdevelopment/assembly-8.jpg)

## wearable

Asako, Fab Academy Alumnus, kindly offered her Obi(sash) and helped get dressed.
![](../images/projectdevelopment/assembly-9.jpg)

![](../images/projectdevelopment/assembly-10.jpg)

## e-textile
I embedded LEDs backside of a module like a picture below.
![](../images/projectdevelopment/electronics2.jpg) 

I used a glue gun to paste neopixels onto a module. White glue can work as a light diffuser.  As I described in [Week 9](https://class.textile-academy.org/2019/jun.kawahara/assignments/week09/), I programmed a neopixel sample code to an ATtiny85, then connected it to 6 V(3 V coin cells) battery via a diode(1N4148) not to excel the upper limit of the operating voltage.

![](../images/projectdevelopment/electronicsmodule_tail.jpg)

It looks like a usual module, doesn't it?

![](../images/projectdevelopment/electronicsmodule_head.jpg)

You are safe in walking in the dark.
<iframe width="640" height="380" src="https://www.youtube.com/embed/lWKSuWnyV28" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

As I described above, I included following 3 assignments in my final project.
- OS Circular Fashion
- E-textiles
- Wearables

## acknowledgment
Special Thanks to

- Saverio Silli, for his mentoring
- Asako Okazaki, for Kimono++ dressing
- Kai Naito, for module design collaboration
- Youka Watanabe, for assembly and as a model
- Anastasia, Cecila and Fiore, for giving me this great experience


## references

- [Kimono Market in Japan: Key Research Findings 2018](https://www.yanoresearch.com/press/pdf/1812.pdf) - Yano Research Institute
- [Digital Kimono: Fast Fashion, Slow Fashion?](https://www.tandfonline.com/doi/abs/10.1080/1362704X.2017.1319175) - Fashion Theory, Volume 22, 2018 - Issue 3
- [Eunsuk Hur](http://gallery.bridgesmathart.org/exhibitions/2011-bridges-conference/eunsuk)
- [襤褸(BORO)](../images/projectdevelopment/previouswork-2.jpg)  


## files
- [OS modular design file](../images/finalproject/circular_modules.f3d) (.f3d) - Fusion 360
- [tessellation tiling design for lasercutting](../images/finalproject/tessellation.zip)(.zip) - Archived pdf files
- [embedded programming file for ATtiny85](../images/finalproject/module/module.ino)(.ino) - Arduino file